Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599542 - sys-apps/net-tools-1.60_p20161110235919: w/<linux-headers-4.8: error: field 'iph' has incomplete type
Summary: sys-apps/net-tools-1.60_p20161110235919: w/<linux-headers-4.8: error: field '...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-11 22:18 UTC by Conrad Kostecki
Modified: 2016-11-23 16:08 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki 2016-11-11 22:18:17 UTC
make[1]: Leaving directory '/var/tmp/portage/sys-apps/net-tools-1.60_p20161110235919/work/net-tools-1.60_p20161110235919/man'
x86_64-pc-linux-gnu-gcc -march=native -mfpmath=sse,387 -mtune=intel -O3 -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -Wall -fno-strict-aliasing  -Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,-z,now -Llib -o mii-tool mii-tool.o -lnet-tools
In file included from iptunnel.c:33:0:
/usr/include/linux/if_tunnel.h:37:16: error: field 'iph' has incomplete type
  struct iphdr  iph;
                ^
make: *** [Makefile:106: iptunnel.o] Error 1
make: *** Waiting for unfinished jobs....
 * ERROR: sys-apps/net-tools-1.60_p20161110235919::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=sys-apps/net-tools-1.60_p20161110235919::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-apps/net-tools-1.60_p20161110235919::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sys-apps/net-tools-1.60_p20161110235919/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-apps/net-tools-1.60_p20161110235919/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-apps/net-tools-1.60_p20161110235919/work/net-tools-1.60_p20161110235919'
 * S: '/var/tmp/portage/sys-apps/net-tools-1.60_p20161110235919/work/net-tools-1.60_p20161110235919'
Comment 1 Conrad Kostecki 2016-11-11 22:18:23 UTC
Portage 2.3.2 (python 3.5.2-final-0, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.23-r2, 4.8.6-gentoo x86_64)
=================================================================
System uname: Linux-4.8.6-gentoo-x86_64-Intel-R-_Atom-TM-_CPU_C2758_@_2.40GHz-with-gentoo-2.3
KiB Swap:   36700156 total,  36700156 free
Timestamp of repository gentoo: Fri, 11 Nov 2016 19:15:01 +0000
sh bash 4.4-r1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.3.3 [enabled]
app-shells/bash:          4.4-r1::gentoo
dev-lang/perl:            5.24.0-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/ccache:          3.3.3::gentoo
dev-util/cmake:           3.6.3::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.3::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --exclude-from=/etc/portage/rsync_excludes

galactica
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mfpmath=sse,387 -mtune=intel -O3 -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -mfpmath=sse,387 -mtune=intel -O3 -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --quiet-build=n --with-bdeps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.halifax.rwth-aachen.de/gentoo/"
INSTALL_MASK="/etc/xinetd.d/* /usr/lib/systemd/system/*"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,-z,now"
MAKEOPTS="-j9 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_BUNZIP2_COMMAND="pbunzip2"
PORTAGE_BZIP2_COMMAND="pbzip2"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9e"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac acl alsa amd64 berkdb bzip2 cairo caps cddb cgi cjk cracklib crypt ctype curl cvs cxx dbus djvu encode exif ffmpeg flite fontconfig ftp gd gif git gmp gnutls gpm graphviz hddtemp iconv icu idn imlib inotify introspection ipv6 javascript jit jpeg jpeg2k lcms libcaca libsamplerate lm_sensors lzma lzo maildir mbox mhash mikmod mime mmap modplug mp3 mysql mysqli ncurses nls nntp nptl offensive ogg openal opencl opengl openmp orc oss pam pcre pdf perl png posix postproc postscript pulseaudio python raw readline samba seccomp session simplexml slang sndfile sockets spell sqlite ssl subversion suid svg symlink syslog tcpd theora threads tiff truetype udev unicode usb vaapi vdpau vhosts vim-syntax vorbis wavpack webp wmf x264 xattr xcb xml xmp xpm xvid zeroconf zlib zsh-completion" ABI_X86="32 64" COLLECTD_PLUGINS="apcups cgroups conntrack contextswitch cpu cpusleep df disk dns entropy ethstat exec filecount hddtemp interface ipc ipmi irq load lvm md memory mysql netlink nfs nginx ntpd openvpn ping processes protocols rrdcached sensors serial smart swap syslog tcpconns thermal unixsock uptime users wireless" CPU_FLAGS_X86="aes mmx mmxext sse sse2 sse3 ssse3 sse4_1 sse4_2" CURL_SSL="openssl" ELIBC="glibc" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de de_DE" LCD_DEVICES="crystalfontz lcd2usb" LINGUAS="de de_DE" NGINX_MODULES_HTTP="access auth_basic autoindex charset fancyindex fastcgi geo geoip gunzip gzip proxy realip rewrite stub_status upstream_keepalive" NGINX_MODULES_STREAM="access geo geoip realip ssl_preread" PHP_TARGETS="php7-0" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_4 python3_5" USERLAND="GNU" VIDEO_CARDS="ast"
USE_PYTHON="2.7 3.4 3.5"
Unset:  CC, CPPFLAGS, CTARGET, CXX
Comment 2 Martin Mokrejš 2016-11-11 22:25:10 UTC
Me too.

$ emerge --info
Portage 2.3.2 (python 2.7.12-final-0, prefix/linux-standalone/amd64, gcc-5.4.0, glibc-2.23-r2, 2.6.32-642.3.1.el6.Bull.98.x86_64 x86_64)
=================================================================
System uname: Linux-2.6.32-642.3.1.el6.Bull.98.x86_64-x86_64-Intel-R-_Xeon-R-_CPU_E5-2670_0_@_2.60GHz-with-redhat-6.4-Santiago
KiB Mem:   131942620 total,  54662328 free
KiB Swap:   65536128 total,  65473720 free
Timestamp of repository gentoo: Fri, 11 Nov 2016 21:30:01 +0000
sh bash 4.3_p46-r1
ld GNU ld (Gentoo 2.26) 2.26.20160125
app-shells/bash:          4.3_p46-r1::rap
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.4::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26::rap, 2.26.1::gentoo
sys-devel/gcc:            4.1.2::gentoo, 4.2.4-r1::gentoo, 4.3.6-r1::gentoo, 4.4.7::gentoo, 4.5.4::gentoo, 4.7.4::gentoo, 4.9.3::gentoo, 4.9.4::gentoo, 5.4.0::gentoo
sys-devel/gcc-config:     1.8_p20160608::rap
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::rap
Repositories:

gentoo
    location: /scratch/mmokrejs/gentoo_rap/usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    eclass-overrides: rap

layman
    location: /scratch/mmokrejs/gentoo_rap/var/lib/layman
    masters: gentoo
    priority: 0
    eclass-overrides: rap

rap
    location: /scratch/mmokrejs/gentoo_rap/usr/portage-stage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/proj/android.git
    masters: gentoo
    eclass-overrides: rap

haskell
    location: /scratch/mmokrejs/gentoo_rap/var/lib/layman/haskell
    masters: gentoo
    priority: 50
    eclass-overrides: rap

science
    location: /scratch/mmokrejs/gentoo_rap/var/lib/layman/science
    masters: gentoo
    priority: 50
    eclass-overrides: rap

ACCEPT_KEYWORDS="amd64 ~amd64 ~amd64-linux"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm Oracle-BCLA-JavaSE IBM-J1.6 skype-eula Nero-EULA-US AdobeFlash-10.3 skype-4.0.0.7-copyright AdobeFlash-11.x Intel-SDP OPERA-2014"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -O2 -pipe -march=native"
DISTDIR="/scratch/mmokrejs/gentoo_rap/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles force-prefix merge-sync news noclean nostrip parallel-fetch preserve-libs protect-owned sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans unprivileged"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.wheel.sk/ http://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.mirror.web4u.cz/ rsync://gentoo.mirror.dkm.cz/gentoo/ ftp://gentoo.mirror.web4u.cz/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/scratch/mmokrejs/gentoo_rap/usr/portage/packages"
PORTAGE_CONFIGROOT="/scratch/mmokrejs/gentoo_rap/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/scratch/mmokrejs/gentoo_rap/var/tmp"
USE="X alsa amd64 apache apache2 avx avx2 berkdb boost bzip2 cairo cgi cli coin consolekit cracklib crypt cryptlib cxx dbus device-mapper dhcp dri emboss encode fax fbcon ffmpeg fontconfig fortran gbm gd gdbm gimp glpk gnutls gtk hal hwdb iconv imaging innodb java javafx javascript jce jpeg jpg js jscript keymap ladspa lapack lcms libnotify lm_sensors mad mmx mmxext modules mpi mpich2 mysql ncurses nfs nls nptl nptlonly nscd openmp openssl pcre pdf perl php png policykit polkit ppds pppd prefix python qt3support readline resolvconf seccomp server session slideshow sndfile sqlite sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 suexec svg syslog tcl tcpd threads tiff tk truetype unicode usb v4l v4l2 vim-syntax vnc wavpack wifi x11 xcb xml xorg xrandr xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="en_US en en_GB cs" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US en_GB en cs" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 anoteros 2016-11-11 22:40:55 UTC
I can confirm that I am having this issue as well.
Here is emerge --info

Portage 2.3.2 (python 2.7.12-final-0, hardened/linux/amd64, gcc-5.4.0-vanilla, glibc-2.23-r2, 4.8.6-hardened x86_64)
=================================================================
System uname: Linux-4.8.6-hardened-x86_64-Intel-R-_Core-TM-_i5-2540M_CPU_@_2.60GHz-with-gentoo-2.3
KiB Mem:     8046504 total,   3957520 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Fri, 11 Nov 2016 21:02:34 +0000
sh bash 4.4-r1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
ccache version 3.3.3 [enabled]
app-shells/bash:          4.4-r1::gentoo
dev-lang/perl:            5.24.0-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.3.3::gentoo
dev-util/cmake:           3.6.3::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.3-r1::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build --keep-going --jobs=5 --load-average=4.0"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 bcmath berkdb bzip2 cairo cli consolekit cracklib crypt curl cxx dbus dri dts encode exif fam fbcon ffmpeg flac fontconfig fuse gdbm gif git gphoto2 gpm gsl gstreamer hardened iconv icu imagemagick infinality jpeg justify lame lm_sensors matroska mime mmx mmxext modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl offensive ogg openmp pam pax_kernel pcre pdf pie png pulseaudio readline seccomp session sockets sound spell sse sse2 ssl ssp svg tcpd threads truetype unicode upower urandom usb vaapi vdpau vorbis wifi x264 xattr xcb xft xinerama xtpax zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 fma4 mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 4 Conrad Kostecki 2016-11-11 22:55:52 UTC
Upgrading manually linux-headers to 4.8 (I've just renamed the 4.7 ebuild) solved the problem for me.
Comment 5 anoteros 2016-11-11 23:08:05 UTC
(In reply to Conrad Kostecki from comment #4)
> Upgrading manually linux-headers to 4.8 (I've just renamed the 4.7 ebuild)
> solved the problem for me.

That's interesting. linux-headers was in my emerge queue when net-tools failed to build. There must be a dependency listing problem that didn't let portage know to install it first. 
I can confirm that emerging net-tools after the update to linux-headers-4.8 works.
Comment 6 peter@prh.myzen.co.uk 2016-11-12 09:32:02 UTC
(In reply to anoteros from comment #5)
> (In reply to Conrad Kostecki from comment #4)
> > Upgrading manually linux-headers to 4.8 (I've just renamed the 4.7 ebuild)
> > solved the problem for me.
> 
> That's interesting. linux-headers was in my emerge queue when net-tools
> failed to build. There must be a dependency listing problem that didn't let
> portage know to install it first. 
> I can confirm that emerging net-tools after the update to linux-headers-4.8
> works.

Doing that works for me too.
Comment 7 SpanKY gentoo-dev 2016-11-15 03:51:30 UTC
fixed upstream here:
https://sourceforge.net/p/net-tools/code/ci/ea3935bd7c0f36c86c40e5785326698fa3336c6a

will roll into a new release shortly
Comment 8 Thomas Deutschmann gentoo-dev Security 2016-11-17 14:55:09 UTC
Can we please keep this open until a fixed ebuild landed in the Gentoo repository?
Comment 9 Thomas Deutschmann gentoo-dev Security 2016-11-23 16:08:42 UTC
I added the patch mentioned in comment #7 to fix the issue for ~arch users:

> commit 4090447b0cb0064a77db6725deb8213bb5138eff
> Author: Thomas Deutschmann <whissi@gentoo.org>
> Date:   Wed Nov 23 17:05:02 2016 +0100
> 
>     sys-apps/net-tools: Fix building w/<linux-headers-4.8
> 
>     Acked-by: Lars Wendler <polynomial-c@gentoo.org>
>     Gentoo-Bug: https://bugs.gentoo.org/599542
> 
>     Package-Manager: portage-2.3.2